## org.eclipse.datatools.connectivity.oda.design
Interface DynamicFilterExpression

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, FilterExpression, org.eclipse.emf.common.notify.Notifier

    public interface DynamicFilterExpression

extends FilterExpression

A representation of the model object 'Dynamic Filter Expression'. A built-in filter expression designed with a pre-defined variable. Its specific type of expression(s) to apply and corresponding argument value(s) to collect will be dynamically specified at runtime.

The following features are supported:

- `Context`
- `Default Type`

Since:
  3.3 (DTP 1.8)
See Also:
  `DesignPackage.getDynamicFilterExpression()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`AtomicExpressionContext` `getContext()` Returns the value of the 'Context' containment reference.
`ExpressionArguments` `getContextArguments()` Returns the expression arguments design in the 'Context' containment reference.
`ExpressionVariable` `getContextVariable()` Returns the expression variable design in the 'Context' containment reference.
`FilterExpressionType` `getDefaultType()` Returns the value of the 'Default Type' containment reference.
`boolean` `isOptional()` Indicates whether this filter expression can be excluded at runtime.
`void` `setContext(AtomicExpressionContext value)` Sets the value of the '`Context`' containment reference.
`void` `setContextArguments(ExpressionArguments arguments)` Sets the expression arguments design in the 'Context' containment reference.
`void` `setContextVariable(ExpressionVariable variable)` Sets the expression variable design in the 'Context' containment reference.
`void` `setDefaultType(FilterExpressionType value)` Sets the value of the '`Default Type`' containment reference.
`void` `setIsOptional(boolean isOptional)` Specifies whether this filter expression can be excluded at runtime.

Methods inherited from interface org.eclipse.datatools.connectivity.oda.design.FilterExpression
`isNegatable, isSetNegatable, setNegatable, unsetNegatable`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getContext

    AtomicExpressionContext getContext()

  Returns the value of the 'Context' containment reference.

  If the meaning of the 'Context' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Context' containment reference.
  See Also:
    `setContext(AtomicExpressionContext)`, `DesignPackage.getDynamicFilterExpression_Context()`

### setContext

    void setContext(AtomicExpressionContext value)

  Sets the value of the '`Context`' containment reference.

  Parameters:
    `value` - the new value of the 'Context' containment reference.
  See Also:
    `getContext()`

### getDefaultType

    FilterExpressionType getDefaultType()

  Returns the value of the 'Default Type' containment reference. The default type of filter expression to apply at runtime.

  Returns:
    the value of the 'Default Type' containment reference; may be null.
  Since:
    3.2.2 (DTP 1.7.2)
  See Also:
    `setDefaultType(FilterExpressionType)`, `DesignPackage.getDynamicFilterExpression_DefaultType()`

### setDefaultType

    void setDefaultType(FilterExpressionType value)

  Sets the value of the '`Default Type`' containment reference.

  Parameters:
    `value` - the new value of the 'Default Type' containment reference.
  Since:
    3.2.2 (DTP 1.7.2)
  See Also:
    `getDefaultType()`

### isOptional

    boolean isOptional()

  Indicates whether this filter expression can be excluded at runtime.

  Returns:
    true if this can be excluded at runtime; false otherwise

### setIsOptional

    void setIsOptional(boolean isOptional)

  Specifies whether this filter expression can be excluded at runtime.

  Parameters:
    `isOptional` - true if this can be excluded at runtime; false otherwise

### getContextVariable

    ExpressionVariable getContextVariable()

  Returns the expression variable design in the 'Context' containment reference.

  Returns:
    the variable design in the 'Context' containment reference, or null if none is specified

### setContextVariable

    void setContextVariable(ExpressionVariable variable)

  Sets the expression variable design in the 'Context' containment reference.

  Parameters:
    `variable` - the variable design in the 'Context' containment reference

### getContextArguments

    ExpressionArguments getContextArguments()

  Returns the expression arguments design in the 'Context' containment reference.

  Returns:
    the arguments design in the 'Context' containment reference, or null if none is specified

### setContextArguments

    void setContextArguments(ExpressionArguments arguments)

  Sets the expression arguments design in the 'Context' containment reference.

  Parameters:
    `arguments` - the arguments design in the 'Context' containment reference